Bug 121673 - Upgrading FC1 w/kernel 2.6.3-, to FC2; initrd in grub.conf not updated
Upgrading FC1 w/kernel 2.6.3-, to FC2; initrd in grub.conf not upd...
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2004-04-25 04:14 EDT by Lamont Peterson
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-04 09:14:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lamont Peterson 2004-04-25 04:14:15 EDT
Description of problem: 
Upgrading FC1 system with 2.6.3- kernel already installed 
(and a 2.4 kernel also installed) to FC2test2, on first bootup GRUB 
fails to start FC2test2 installed kernel because grub.conf lists the 
initrd image for 2.4 kernel with the 2.6 kernel entry. 
Version-Release number of selected component (if applicable): 
anaconda shipped  
How reproducible: 
Steps to Reproduce: 
1.  Install FC1. 
2.  Install kernel 2.6.3- in addition to the FC1 2.4 
kernel (i.e. use rpm -i to install 2.6 and do not remove 2.4). 
3.  Boot from FC2test2 CD1 and upgrade the existing FC1 system. 
Actual results: 
On the first bootup, GRUB can not find the file 
This is because the grub.conf files reads: 
title Fedora Core (2.6.3- 
	root (hd0,1) 
	kernel /vmlinuz-2.6.3- .... 
	initrd /initrd-2.4.22-1.2174.nptl.img 
Expected results: 
GRUB should be loading the initrd-2.6.3- file that 
comes with the 2.6.3- kernel. 
Additional info: 
Using GRUB's editing feature, I changed the initrd line to the 
correct value and the system booted perfectly.  Next, I corrected t 
eerror in the grub.conf file.
Comment 1 Jeremy Katz 2004-05-06 18:04:30 EDT
Were you using lvm?
Comment 2 Lamont Peterson 2004-05-07 01:47:44 EDT
No, I was not using LVM. 
Comment 3 Jeremy Katz 2004-09-22 15:34:16 EDT
Does this work right with the final FC2?
Comment 4 Lamont Peterson 2004-09-22 17:19:01 EDT
I need to test it.  I will do so later this week.

Note You need to log in before you can comment on or make changes to this bug.